html {
  --bgMasthead: #404040;
  --bgPanel: #303030;
  --bgHover: #404040;
  --bgButton: #606060;
  --bgButtonHover: #707070;
  --bgPrimary: rgba(120, 202, 255, 0.5);
  --bgPrimaryHover: rgba(120, 202, 255, 0.65);
  --bgHighlighted: rgba(0, 200, 255, 0.3);
  --bgSelectedFade: rgba(192, 192, 192, 0.1);
  --bgSelected: rgba(0, 200, 255, 0.3);
  --bgShine: rgba(255, 255, 255, 0.1);
  --bgBody: #202020;
  
  --textHeader: #fff;
  --textBrand: #a0e7ff;
  --textActive: #fff;
  --textBody: #ddd;
  --textMuted: #999;
  
  --borderThin: 1px solid #444;
  --borderFocus: 2px solid #555;
  --borderDivider: 1px solid #333;
}

html,
body {
  padding: 0;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  height: 100%;
  background: #202020;
  color: #fff;
}
html {
}
body {
  overflow-x: hidden;
  overflow-y: auto;
}

html .demo-button {
  margin: 36px auto 48px;
  max-width: 150px;
}
html .demo-button a {
  display: block;
  padding: 12px 24px;
  background: var(--bgPrimary);
  border-radius: 3px;
  border: 0;
  text-align: center;
  font-weight: bold;
  color: var(--textActive);
  box-shadow: 0 5px 10px rgba(0, 0, 0, .25);
}
html .demo-button a:hover {
  background: var(--bgPrimaryHover);
  border: 0;
}

#__next {
  min-height: 100%;
}

a {
  color: inherit;
  text-decoration: none;
}

* {
  box-sizing: border-box;
}

@font-face {
  font-family: 'Lato';
  font-style: normal;
  font-weight: 900;
  src: url(/fonts/Lato-Black.ttf) format('truetype');
}
@font-face {
  font-family: 'Fira Code';
  font-style: normal;
  font-weight: 400;
  src: url(/fonts/FiraCode-Regular.otf) format('opentype');
}
@font-face {
  font-family: 'Fira Code';
  font-style: normal;
  font-weight: 700;
  src: url(/fonts/FiraCode-Bold.otf) format('opentype');
}
@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  font-display: block;
  src: url(/fonts/MaterialIcons-Regular.ttf) format('truetype');
}
@font-face {
  font-family: 'Material Icons Outlined';
  font-style: normal;
  font-weight: 400;
  font-display: block;
  src: url(/fonts/MaterialIconsOutlined-Regular.otf) format('truetype');
}

.m-icon.m-icon-outlined {
  font-family: 'Material Icons Outlined';
}

.m-icon, .m-icon-small, .m-icon-large {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 20px;  /* Preferred icon size */
  line-height: 1;
  display: inline-block;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;

  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;

  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;

  /* Support for IE. */
  font-feature-settings: 'liga';
}
.m-icon-small {
  font-size: 16px;
  padding: 0 2px;
  position: relative;
  top: 3px;
}
.m-icon-large {
  font-size: 28px;
  padding: 0 2px;
  position: relative;
  top: 2px;
}

.typography {
  margin-top: -24px;
  font-size: 16px;
  line-height: 24px;
  color: #ddd;
}
.typography .m-icon {
  cursor: default;
}
.typography .inline-row {
  display: flex;
  align-items: baseline;
  margin-top: -16px;
  margin-bottom: -24px;
}
.typography .inline-row pre.inline {
  float: left;
  margin-left: 8px;
}
.typography .muted {
  opacity: 0.5;
}
.typography p {
  margin-top: 16px;
  margin-bottom: 16px;
}
.typography h1 {
  font-family: Lato, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  font-size: 32px;
  font-weight: 900;
  line-height: 32px;
  margin-top: 60px;
  margin-bottom: 20px;
  color: #a0e7ff;
}
.typography h2 {
  font-family: Lato, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  font-size: 24px;
  font-weight: 700;
  line-height: inherit;
  margin-top: 56px;
  margin-bottom: 24px;
  color: #fff;
}
.typography hr {
  border: 0;
  border-top: 1px solid #444;
  margin-top: 48px;
  margin-bottom: 0px;
}
.typography h3 {
  font-family: Lato, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  font-size: 20px;
  font-weight: 700;
  line-height: inherit;
  margin-top: 36px;
  margin-bottom: 12px;
  color: #ddd;
}
.typography h4 {
  font-family: Lato, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  font-size: 16px;
  font-weight: 700;
  line-height: inherit;
  margin-top: 36px;
  margin-bottom: 12px;
  color: #fff;
}
.typography h1 code, .typography h2 code, .typography h3 code, .typography h4 code {
  color: inherit;
  font-size: inherit;
  font-weight: bold;
  background: none;
}
.typography a {
  color: #90dfff;
  padding-bottom: 2px;
  border-bottom: 1px dotted #90dfff;
}
.typography a code, .typography code a {
  color: #90dfff;
  text-decoration: underline;
  border: 0 !important;
}
.typography .hljs a {
  text-decoration: none;  
}
.typography .hljs a:hover {
  text-decoration: underline;
}
.typography a:active, .typography a:hover {
  border-bottom: 1px solid #90dfff;
}
.typography b, .typography strong {
  font-weight: 700;
}
.typography pre:not(.inline) {
  white-space: pre-wrap;
  padding: 16px;
  background: #161616;
}
.typography pre code a, .typography pre code a:hover, .typography pre code a:active {
  color: #87FDE2;
}
.typography code {
  background: #161616;
  padding: 3px 5px;
  margin: 0 -1px;
  border-radius: 4px;
}
.typography h1 > code:first-child,
.typography h2 > code:first-child,
.typography h3 > code:first-child,
.typography h4 > code:first-child {
  margin-left: -5px;
}
.typography pre:not(.inline), .typography code {
  font-family: 'Fira Code', Consolas, monaco, monospace;
  font-size: 0.9em;
  line-height: 20px;
}
.typography pre:not(.inline) code {
  font-size: 1em;
  padding: 0;
  margin: 0;
}




.typography code {
  color: #B4DAF6;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-comment,
.hljs-quote {
  color: #8690FF;
}

.hljs-title {
  color: #50f0ff;
}
.hljs-title.function_ {
  color: #fff;
  font-weight: bold;
}

.hljs-keyword,
.hljs-built_in,
.hljs-selector-tag {
  color: #6EA2FF;
}

.hljs-string,
.hljs-literal {
  color: #83DCFF;
}

.hljs-type {
  color: #87FDE2;
}
.hljs-tag {
  color: #4BA1EB;
}


.info-box .m-icon, .warning-box .m-icon {
  position: relative;
  top: 3px;
  width: 0px;
  left: -32px;
}

.info-box {
  margin-top: 48px;
  display: block;
  width: 100%;
  padding: 16px 32px 16px 56px;
  background: rgba(128, 128, 255, 0.2);
  color: #fff;
}
.warning-box {
  margin-top: 24px;
  display: block;
  width: 100%;
  padding: 16px 32px 16px 56px;
  background: rgba(255, 0, 255, 0.2);
  color: #fff;
}
.warning-box a {
  color: #ff90ff;
  padding-bottom: 2px;
  border-bottom: 1px dotted #ff90ff;
}
.warning-box a:hover, .warning-box a:active {
  border-bottom: 1px solid #ff90ff;
}

